Tasks
All operations require authentication.
List zone tasksProduction
Query parameters
All functions from a dns task
DnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestoreAll statuses from a dns task
cancelleddoingdoneerrorproblemtodoResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ dns \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a zone taskProduction
Path parameters
Id
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Done date of the task
Function of the task
DnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestoreId of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrorproblemtodoTodo date of the task
Zone related to the task
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ dns/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "DnsAnycastActivate", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "zone": "string"}
Accelerate the taskProduction
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ dns/ {id}/ accelerate \
-H "authorization: Bearer $OVH_TOKEN"Cancel the taskProduction
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ dns/ {id}/ cancel \
-H "authorization: Bearer $OVH_TOKEN"Relaunch the taskProduction
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ dns/ {id}/ relaunch \
-H "authorization: Bearer $OVH_TOKEN"List of domain tasksProduction
Query parameters
Filter the value of domain property (like)
Filter the value of function property (like)
ContactControlContactControlAcknowledgeContactControlCorrectContactControlNotifyDnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskDomainAfterMarketDomainContactControlDomainContactUpdateDomainControlDomainCreateDomainDeleteDomainDnsUpdateDomainDsUpdateDomainEmailRedirectionsCreateDomainEmailRedirectionsDeleteDomainHoldDomainHostCreateDomainHostDeleteDomainHostUpdateDomainIncomingTransferDomainLockDomainOutgoingTransferDomainRegistryDeleteDomainRenewDomainResourceDeleteDomainRestoreDomainTradeDomainUnholdDomainUnlockZoneImportFilter the value of status property (=)
cancelleddoingdoneerrorproblemtodoFilter the value of type property (=)
alldomdomainResponse
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get this object propertiesProduction
Path parameters
Id
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrorproblemtodoTodo date of the task
type of the task
alldomdomainExample uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}
Accelerate the taskProduction
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain/ {id}/ accelerate \
-H "authorization: Bearer $OVH_TOKEN"List of argumentsProduction
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain/ {id}/ argument \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get this object propertiesProduction
Path parameters
Id
Key
Response
List of accepted formats
gifjpegjpgpdfpngList of accepted values
Description of the argument
List of impacted field names
address.cityaddress.countryaddress.line1address.line2address.line3address.otherDetailsaddress.provinceaddress.zipbirthCitybirthCountrybirthDaybirthZipcellPhonecompanyNationalIdentificationNumberemailfaxfirstNamegenderlanguagelastNamelegalFormnationalIdentificationNumbernationalityorganisationNameorganisationTypephonespareEmailvatKey of the argument
Maximum of the content length that you can send
Minimum of the content length that you can send
True if the argument is in read only
Template of the content
Type of the argument
Value of the argument
Example uses id = 0, key = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain/ {id}/ argument/ {key} \
-H "authorization: Bearer $OVH_TOKEN"{ "acceptedFormats": [ "gif" ], "acceptedValues": [ "string" ], "description": "string", "fields": [ "address.city" ], "key": "string", "maximumSize": 0, "minimumSize": 0, "readOnly": true, "template": "string", "type": "string", "value": "string"}
Alter this object propertiesProduction
Path parameters
Id
Key
Request body (required)
List of accepted formats
gifjpegjpgpdfpngList of accepted values
Description of the argument
List of impacted field names
address.cityaddress.countryaddress.line1address.line2address.line3address.otherDetailsaddress.provinceaddress.zipbirthCitybirthCountrybirthDaybirthZipcellPhonecompanyNationalIdentificationNumberemailfaxfirstNamegenderlanguagelastNamelegalFormnationalIdentificationNumbernationalityorganisationNameorganisationTypephonespareEmailvatKey of the argument
Maximum of the content length that you can send
Minimum of the content length that you can send
True if the argument is in read only
Template of the content
Type of the argument
Value of the argument
Response
Example uses id = 0, key = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain/ {id}/ argument/ {key} \
-H "authorization: Bearer $OVH_TOKEN"Cancel the taskProduction
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain/ {id}/ cancel \
-H "authorization: Bearer $OVH_TOKEN"Show progress of a taskProduction
Path parameters
Id
Response
Current step of the operation
The estimated end date of the task
All the steps of the operation
The last update date of the task
Progress percentage of the task
Action possible on task
canCancelcanCorrectcanRelaunchcanResetThe status of the task
cancelleddoingdoneerrorproblemtodoExample uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain/ {id}/ progressbar \
-H "authorization: Bearer $OVH_TOKEN"{ "currentStep": { "description": "string", "executionDuration": 0, "step": "string" }, "expectedDoneDate": "2024-01-01T12:00:00Z", "followUpSteps": [ { "description": "string", "executionDuration": 0, "step": "string" } ], "lastUpdateDate": "2024-01-01T12:00:00Z", "progress": 0, "taskActions": [ "canCancel" ], "taskStatus": "cancelled"}
Relaunch the taskProduction
Path parameters
Id
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ task/ domain/ {id}/ relaunch \
-H "authorization: Bearer $OVH_TOKEN"